/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type AddTokenParams = {
    escrowConfigPubkey: PublicKey;
    tradeConfigAuthority: PublicKey;
    tokenMint: PublicKey;
    tokenInfoPubkey: PublicKey;
    tokenInfoBump: number;
    quota30Days: BN[];
    quota24Hours: BN[];
};
export declare function addToken(program: Program<Escrow>, params: AddTokenParams): Promise<Instruction>;
