/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type AddTokenMetadataParams = {
    marketAccount: PublicKey;
    tradeConfigAuthority: PublicKey;
    quota30Days: BN[];
    quota24Hours: BN[];
};
export declare function addTokenMetadata(program: Program<Escrow>, params: AddTokenMetadataParams): Promise<Instruction>;
