import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type InitializeConfigParams = {
    configId: string;
    configPDA: PDAInfo;
    deployer: PublicKey;
};
export declare function initializeConfig(program: Program<Escrow>, params: InitializeConfigParams): Promise<Instruction>;
