import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type SetAmlPolicyAuthorityParams = {
    marketAccount: PublicKey;
    newAmlPolicyAuthority: PublicKey;
    deployerPubkey: PublicKey;
};
export declare function setAmlPolicyAuthority(program: Program<Escrow>, params: SetAmlPolicyAuthorityParams): Promise<Instruction>;
