import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type InitKycCertParams = {
    marketAccount: PublicKey;
    caller: PublicKey;
    user: PublicKey;
    tokenMint: PublicKey;
    kycCertPubkey: PublicKey;
    kycCertBump: number;
};
export declare function initKycCert(program: Program<Escrow>, params: InitKycCertParams): Promise<Instruction>;
