import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type RemoveArbitratorCertParams = {
    marketAccount: PublicKey;
    tradeConfigAuthority: PublicKey;
    arbitratorAuthority: PublicKey;
    arbitratorCert: PublicKey;
};
export declare function removeArbitratorCert(program: Program<Escrow>, params: RemoveArbitratorCertParams): Promise<Instruction>;
