import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type SetKycCertParams = {
    marketAccount: PublicKey;
    amlPolicyAuthority: PublicKey;
    user: PublicKey;
    tokenMint: PublicKey;
    kycCertPubkey: PublicKey;
    level: number;
};
export declare function setKycCert(program: Program<Escrow>, params: SetKycCertParams): Promise<Instruction>;
